summaryrefslogtreecommitdiffstats
path: root/release
diff options
context:
space:
mode:
authorru <ru@FreeBSD.org>2006-08-22 08:03:01 +0000
committerru <ru@FreeBSD.org>2006-08-22 08:03:01 +0000
commit4d582ffe096e47ba124286efb831032cbd3cdf2a (patch)
tree08203fa78d69de58704db3947da0c5c461233445 /release
parent78738a2fe964ce85b0d11862f02a91175c14fd9a (diff)
downloadFreeBSD-src-4d582ffe096e47ba124286efb831032cbd3cdf2a.zip
FreeBSD-src-4d582ffe096e47ba124286efb831032cbd3cdf2a.tar.gz
Remove alpha left-overs.
Diffstat (limited to 'release')
-rw-r--r--release/Makefile11
-rw-r--r--release/alpha/boot_crunch.conf44
-rw-r--r--release/alpha/mkisoimages.sh72
3 files changed, 0 insertions, 127 deletions
diff --git a/release/Makefile b/release/Makefile
index ed976fe..20d967d 100644
--- a/release/Makefile
+++ b/release/Makefile
@@ -206,17 +206,6 @@ BOOTINODE= 80000
MFSSIZE= 4320
MFSINODE= 8000
MFSLABEL= minimum3
-.elif ${TARGET_ARCH} == "alpha"
-MAKE_FLOPPIES= true
-FLOPPYSIZE= 1440
-FLOPPYSPLITSIZE= 1392
-FLOPPYINODE= 40000
-FLOPPYLABEL= fd1440
-BOOTINODE= 80000
-MFSSIZE= 4320
-MFSINODE= 8000
-MFSLABEL= auto
-SPLIT_MFSROOT=
.elif ${TARGET_ARCH} == "sparc64"
DISKLABEL= sunlabel
MFSSIZE= 4096
diff --git a/release/alpha/boot_crunch.conf b/release/alpha/boot_crunch.conf
deleted file mode 100644
index ce31af3..0000000
--- a/release/alpha/boot_crunch.conf
+++ /dev/null
@@ -1,44 +0,0 @@
-# $FreeBSD$
-
-buildopts -DRELEASE_CRUNCH -Dlint
-
-srcdirs /usr/src/bin
-progs hostname
-progs pwd
-progs rm
-progs sh
-progs test
-ln sh -sh
-ln test [
-
-srcdirs /usr/src/gnu/usr.bin
-progs cpio
-
-srcdirs /usr/src/sbin
-progs camcontrol
-progs dhclient
-progs fsck_ffs
-progs ifconfig
-progs mount_nfs
-progs newfs
-progs route
-progs rtsol
-progs slattach
-progs tunefs
-
-srcdirs /usr/src/usr.bin
-progs find
-progs minigzip
-progs sed
-ln minigzip gzip
-ln minigzip gunzip
-ln minigzip zcat
-
-srcdirs /usr/src/usr.sbin
-progs arp
-progs ppp
-progs sysinstall
-progs usbdevs
-
-libs -ll -ledit -lutil -lmd -lcrypt -lftpio -lz -lnetgraph
-libs -ldialog -lncurses -ldisk -lcam -lsbuf -lufs
diff --git a/release/alpha/mkisoimages.sh b/release/alpha/mkisoimages.sh
deleted file mode 100644
index 9762931..0000000
--- a/release/alpha/mkisoimages.sh
+++ /dev/null
@@ -1,72 +0,0 @@
-#!/bin/sh
-#
-# Module: mkisoimages.sh
-# Author: Jordan K Hubbard
-# Date: 22 June 2001
-#
-# $FreeBSD$
-#
-# This script is used by release/Makefile to build the (optional) ISO images
-# for a FreeBSD release. It is considered architecture dependent since each
-# platform has a slightly unique way of making bootable CDs. This script
-# is also allowed to generate any number of images since that is more of
-# publishing decision than anything else.
-#
-# Usage:
-#
-# mkisoimages.sh [-b] image-label image-name base-bits-dir [extra-bits-dir]
-#
-# Where -b is passed if the ISO image should be made "bootable" by
-# whatever standards this architecture supports (may be unsupported),
-# image-label is the ISO image label, image-name is the filename of the
-# resulting ISO image, base-bits-dir contains the image contents and
-# extra-bits-dir, if provided, contains additional files to be merged
-# into base-bits-dir as part of making the image.
-
-publisher="The FreeBSD Project. http://www.freebsd.org/"
-
-if [ "x$1" = "x-b" ]; then
- bootable="yes"
- shift
-fi
-
-if [ $# -lt 3 ]; then
- echo Usage: $0 '[-b] image-label image-name base-bits-dir [extra-bits-dir]'
- exit 1
-fi
-
-type mkisofs 2>&1 | grep " is " >/dev/null
-if [ $? -ne 0 ]; then
- echo The cdrtools port is not installed. Trying to get it now.
- if [ -f /usr/ports/sysutils/cdrtools/Makefile ]; then
- cd /usr/ports/sysutils/cdrtools && make install BATCH=yes && make clean
- else
- if ! pkg_add -r cdrtools; then
- echo "Could not get it via pkg_add - please go install this"
- echo "from the ports collection and run this script again."
- exit 2
- fi
- fi
-fi
-
-LABEL=$1; shift
-NAME=$1; shift
-
-mkisofs -r -J -V $LABEL -publisher "$publisher" -o $NAME $*
-
-type setcdboot 2>&1 | grep " is " >/dev/null
-if [ $? -ne 0 ]; then
- echo The setcdboot port is not installed. Trying to get it now.
- if [ -f /usr/ports/sysutils/setcdboot/Makefile ]; then
- cd /usr/ports/sysutils/setcdboot && make install BATCH=yes && make clean
- else
- if ! pkg_add -r setcdboot; then
- echo "Could not get it via pkg_add - please go install this"
- echo "from the ports collection and run this script again."
- exit 2
- fi
- fi
-fi
-if [ "x$bootable" != "x" ]; then
- setcdboot $NAME /boot/cdboot
-fi
OpenPOWER on IntegriCloud